/* PGP crypto data parser internal definitions
 *
 * Copyright (C) 2011 Red Hat, Inc. All Rights Reserved.
 * Written by David Howells (dhowells@redhat.com)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public Licence
 * as published by the Free Software Foundation; either version
 * 2 of the Licence, or (at your option) any later version.
 */

#include <linux/pgp.h>

#define kenter(FMT, ...) \
	pr_devel("==> %s("FMT")\n", __func__, ##__VA_ARGS__)
#define kleave(FMT, ...) \
	pr_devel("<== %s()"FMT"\n", __func__, ##__VA_ARGS__)

/*
 * pgp_key_parser.c
 */
extern const
struct public_key_algorithm *pgp_public_key_algorithms[PGP_PUBKEY__LAST];

/*
 * pgp_sig_parser.c
 */
extern struct crypto_key_verify_context *pgp_verify_sig_begin(
	struct key *keyring, const u8 *sig, size_t siglen);

/*
 * pgp_pubkey_sig.c
 */
extern struct crypto_key_verify_context *pgp_pkey_verify_sig_begin(
	struct key *crypto_key, const u8 *sigdata, size_t siglen);
